OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Organization Class Reference

`#include <StepBasic_Organization.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_Organization ()
| Returns a Organization .
virtual Standard_EXPORT void | Init (const Standard_Boolean hasAid, const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT void | SetId (const Handle(TCollection_HAsciiString)&aId)
Standard_EXPORT void | UnSetId ()
Standard_EXPORT Handle_TCollection_HAsciiString | Id () const
Standard_EXPORT Standard_Boolean | HasId () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | id
Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | description
Standard_Boolean | hasId

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Organization::StepBasic_Organization | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Organization::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_Organization::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepBasic_Organization::HasId | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Organization::Id | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_Organization::Init | ( | const Standard_Boolean | hasAid,
|  | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Organization::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_Organization::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepBasic_Organization::SetId | ( | const Handle(TCollection_HAsciiString)& | aId | ) |

Standard_EXPORT void StepBasic_Organization::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepBasic_Organization::UnSetId | ( |  | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_Organization::description`[private]`

Standard_Boolean StepBasic_Organization::hasId`[private]`

Handle_TCollection_HAsciiString StepBasic_Organization::id`[private]`

Handle_TCollection_HAsciiString StepBasic_Organization::name`[private]`

The documentation for this class was generated from the following file:

- StepBasic_Organization.hxx